// Константы это данные которые не изменяются в ходе программы. 
// Используются здесь для установки номера пина - вывода Ардуино:
const int button1 = 2;                // Кнопка 1 Управляет включением Красного цвета
const int button2 = 3;                // Кнопка 2 Управляет включением Зелёного цвета
const int button3 = 4;                // Кнопка 3 Управляет включением Голубого цвета
const int ledRed =  9;                // Красный
const int ledGreen = 10;              // Зелёный
const int ledBlue =  11;              // Синий

// Переменные которые будут меняться в ходе программы
// Отвечают за текущее состояние кнопки
// Однобайтовый типы данных
boolean buttonSt1 = 0;                // Состояние Кнопки 1
boolean buttonSt2 = 0;                // Состояние Кнопки 2
boolean buttonSt3 = 0;                // Состояние Кнопки 3

void setup() {
// инициализируем светодиода в качестве вывода:
  pinMode(ledBlue, OUTPUT);           // Светодиод работает в режиме Выхода
  pinMode(ledGreen, OUTPUT);          // Светодиод работает в режиме Выхода
  pinMode(ledRed, OUTPUT);            // Светодиод работает в режиме Выхода
  
// инициализируем кнопку в качестве ввода с подключением внутреннего подтягивающего резистора
  pinMode(button1, INPUT_PULLUP);     // Кнопка работает в режиме Входа 
  pinMode(button2, INPUT_PULLUP);     // Кнопка работает в режиме Входа
  pinMode(button3, INPUT_PULLUP);     // Кнопка работает в режиме Входа
}

void loop() {
// считывание текущее состояние кнопки
  buttonSt1 = digitalRead(button1);   // Состояние кнопки 1
  buttonSt2 = digitalRead(button2);   // Состояние кнопки 2
  buttonSt3 = digitalRead(button3);   // Состояние кнопки 3

// Проверяем, нажата ли кнопка. Если да, то состояние кнопки НИЗКОЕ
// Инвертируем состояние Если было ВКЛЮЧЕНО, то ВЫКЛЮЧАЕМ. Если ВЫКЛЮЧЕНО-ВКЛЮЧАЕМ 
  if (buttonSt1 == LOW){
    digitalWrite(ledRed, !digitalRead(ledRed));   // Включаем Красный цвет, если был включен, то выключаем
    delay(500);
  }
  if (buttonSt2 == LOW){
    digitalWrite(ledGreen, !digitalRead(ledGreen));   // Включаем Зелёный цвет, если был включен, то выключаем
    delay(500);
  }
  if (buttonSt3 == LOW){
    digitalWrite(ledBlue, !digitalRead(ledBlue));   // Включаем Голубой цвет, если был включен, то выключаем
    delay(500);
  }
}
